debogage d'un script suite a une mise a jour de perl

Le
Christophe Raverdy
Bonjour.

J'ai installé un script (postfaq.pl) sur un serveur NAS en lui associant
deux tâches cron : Ceci me permet (depuis quelques mois) de publier
automatiquement des FAQ tous les 15 jours.

Le serveur repose sur une distribution Ubuntu et je suis passé récemment
de la 8.04 à la 8.10.

postfaq.pl se trouve ici : http://www.eyrie.org/~eagle/software/postfaq/
Je viens de constater qu'il y a une version datant d'octobre mais je ne
vois pas trop comment elle pourrait résoudre mon problème.



Lorsque je veux exécuter le script, j'obtiens le message d'erreur suivant :


Prototype mismatch: sub main::__LONG_MAX__ () vs none at
/usr/lib/perl/5.10/_h2ph_pre.ph line 291, <FAQ> line 586.
Constant subroutine __LONG_MAX__ redefined at
/usr/lib/perl/5.10/_h2ph_pre.ph line 291, <FAQ> line 586.

postfaq.pl: posting
/home/christophe/usenet/data/faqs/faq-liste-navigateurs.txt failed: 441
340 <4946bd68$0$13204$426a74cc@news.free.fr> (desired)
Required "Subject" header is missing


De la dernière partie je comprends que je me fais jeter par le serveur
de free car je n'ai pas défini de "subject".
Le fichier que je fournis au script contenant bien un champ "subject" je
considère que le code de postfaq.pl est inopérant au moins dans le
traitement de ce champ.

Pour ce que je comprends de la première erreur il y aurait un problème
à première vue extérieur au script dans /use/lib/perl/5.10/_h2ph_pre.ph
avec une sous-routine __LONG_MAX__ qui serait redéfinie.

j'ai fait quelques recherches (GEMA) et il apparaît qu'il s'agirait d'un
bug de "packaging" qui a déjà été signalé.

https://bugs.launchpad.net/ubuntu/+source/perl/+bug/303727

Il semblerait également qu'une piste soit donnée :

http://search.cpan.org/src/RGARCIA/perl-5.10.0/h2pl/README

Cependant je n'y entrave que dalle.

Pourriez-vous m'indiquer dans quelle direction chercher afin de corriger
ce problème en attendant une mise à jour du dépôt ubuntu ?

Par avance, merci.
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Paul Gaborit
Le #18150991
À (at) Mon, 15 Dec 2008 22:10:35 +0100,
Christophe Raverdy
Pourriez-vous m'indiquer dans quelle direction chercher afin de corriger
ce problème en attendant une mise à jour du dépôt ubuntu ?



Vous pouvez mettre en commentaire la dernière ligne du fichier
/usr/lib/perl/5.10/_h2ph_pre.ph ou même supprimer les deux dernières
lignes. Voici ces deux dernières lignes :

# gross hack
unless (defined &__LONG_MAX__) { sub __LONG_MAX__ { 2147483647 } }

On se dit que le commentaire n'est pas là par hasard. Mais il
semblerait que ce soit un patch Debian qui traîne et qui n'a plus lieu
d'être :


--
Paul Gaborit - Perl en français -
Publicité
Poster une réponse
Anonyme